Show / Hide Table of Contents

# Struct ImGuiListClipperPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiListClipperPtr

### Constructors

| Improve this Doc View Source

#### ImGuiListClipperPtr(ImGuiListClipper*)

##### Declaration

    public ImGuiListClipperPtr(ImGuiListClipper*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiListClipper* | nativePtr |

| Improve this Doc View Source

#### ImGuiListClipperPtr(IntPtr)

##### Declaration

    public ImGuiListClipperPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### DisplayEnd

##### Declaration

    public int DisplayEnd { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DisplayStart

##### Declaration

    public int DisplayStart { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ItemsCount

##### Declaration

    public int ItemsCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ItemsFrozen

##### Declaration

    public int ItemsFrozen { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ItemsHeight

##### Declaration

    public float ItemsHeight { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImGuiListClipper*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiListClipper* |

| Improve this Doc View Source

#### StartPosY

##### Declaration

    public float StartPosY { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### StepNo

##### Declaration

    public int StepNo { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Begin(Int32)

##### Declaration

    public void Begin(int items_count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | items_count |

| Improve this Doc View Source

#### Begin(Int32, Single)

##### Declaration

    public void Begin(int items_count, float items_height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | items_count |
System.Single | items_height |

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### End()

##### Declaration

    public void End()

| Improve this Doc View Source

#### Step()

##### Declaration

    public bool Step()

##### Returns

Type | Description
--- | ---
System.Boolean |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiListClipper* to ImGuiListClipperPtr)

##### Declaration

    public static implicit operator ImGuiListClipperPtr(ImGuiListClipper*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiListClipper* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiListClipperPtr |

| Improve this Doc View Source

#### Implicit(ImGuiListClipperPtr to ImGuiListClipper*)

##### Declaration

    public static implicit operator ImGuiListClipper*(ImGuiListClipperPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiListClipperPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiListClipper* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiListClipperPtr)

##### Declaration

    public static implicit operator ImGuiListClipperPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiListClipperPtr |